RTCPReceiverInfo Class Reference
RTCP compound packets manipulation.

Report block information of SR/RR RTCP reports. More...

`#include <rtcppkt.h>`

## Public Member Functions

| RTCPReceiverInfo (void *ri)
| RTCPReceiverInfo (RTCPCompoundHandler::ReceiverInfo &si)
| ~RTCPReceiverInfo ()
uint8 | getFractionLost () const
| Get fraction of lost packets, as a number between 0 and 255. More...
uint32 | getCumulativePacketLost () const
uint32 | getExtendedSeqNum () const
uint32 | getJitter () const
| Get the statistical variance of the RTP data packets interarrival time. More...
uint16 | getLastSRNTPTimestampInt () const
| Get the integer part of the NTP timestamp of the last SR RTCP packet received from the source this receiver report refers to. More...
uint16 | getLastSRNTPTimestampFrac () const
| Get the fractional part of the NTP timestamp of the last SR RTCP packet received from the source this receiver report refers to. More...
uint32 | getDelayLastSR () const
| Get the delay between the last SR packet received and the transmission of this report. More...

## Detailed Description

Report block information of SR/RR RTCP reports.

Author
  Federico Montesino Pouzols fedem.nosp@m.p@al.nosp@m.tern..nosp@m.org

## Constructor & Destructor Documentation

## RTCPReceiverInfo() [1/2]

RTCPReceiverInfo::RTCPReceiverInfo | ( | void * | ri | ) |

inline

## RTCPReceiverInfo() [2/2]

RTCPReceiverInfo::RTCPReceiverInfo | ( | RTCPCompoundHandler::ReceiverInfo & | si | ) |

inline

## ~RTCPReceiverInfo()

RTCPReceiverInfo::~RTCPReceiverInfo | ( |  | ) |

inline

## Member Function Documentation

## getCumulativePacketLost()

uint32 RTCPReceiverInfo::getCumulativePacketLost | ( |  | ) | const

inline

## getDelayLastSR()

uint32 RTCPReceiverInfo::getDelayLastSR | ( |  | ) | const

inline

Get the delay between the last SR packet received and the transmission of this report.

Returns
  Delay, in units of 1/65536 seconds

## getExtendedSeqNum()

uint32 RTCPReceiverInfo::getExtendedSeqNum | ( |  | ) | const

inline

## getFractionLost()

uint8 RTCPReceiverInfo::getFractionLost | ( |  | ) | const

inline

Get fraction of lost packets, as a number between 0 and 255.

## getJitter()

uint32 RTCPReceiverInfo::getJitter | ( |  | ) | const

inline

Get the statistical variance of the RTP data packets interarrival time.

Returns
  Interarrival jitter, in timestamp units.

## getLastSRNTPTimestampFrac()

uint16 RTCPReceiverInfo::getLastSRNTPTimestampFrac | ( |  | ) | const

inline

Get the fractional part of the NTP timestamp of the last SR RTCP packet received from the source this receiver report refers to.

## getLastSRNTPTimestampInt()

uint16 RTCPReceiverInfo::getLastSRNTPTimestampInt | ( |  | ) | const

inline

Get the integer part of the NTP timestamp of the last SR RTCP packet received from the source this receiver report refers to.

The documentation for this class was generated from the following file:

- rtcppkt.h